import * as mc from '@minecraft/server';
import entityManager from '../entity/entityManager.js';
import Commands from '../commands/runCommand.js';
import eventSystem from '../event/eventSystem.js';

export default class entitySystem extends entityManager {
    constructor() {
        super();
    };
    
    getPlayersFromQuery(options = null) {
        return Array.from(mc.world.getPlayers(options));
    }
    
}

